
  # define Buzzer 6
  # define Pump 13
  # define LedGreen 9
  # define LedYellow 10
  # define LedRed 11
  # define GasSensor A0
  # define HumiditySensor A1
    
  void setup() {
    pinMode(GasSensor, INPUT);
    pinMode(HumiditySensor, INPUT);
    pinMode(Buzzer, OUTPUT);
    pinMode(Pump, OUTPUT);
    pinMode(LedGreen, OUTPUT);
    pinMode(LedYellow, OUTPUT);
    pinMode(LedRed, OUTPUT);

    noTone(Buzzer);
    digitalWrite(LedGreen, LOW);
    digitalWrite(LedYellow, LOW);
    digitalWrite(LedRed, LOW);
    digitalWrite(Pump, HIGH);
  
    Serial.begin(9600);
  }
  
  void loop() {
    
    int gasStatus = getGasStatus();
    float humidity = getHumidity();
    
    if (gasStatus >= 750) {
      if (humidity > 350) {
        noTone(Buzzer);
        digitalWrite(Pump, HIGH);
        digitalWrite(LedRed, LOW);
        digitalWrite(LedYellow, HIGH);
      } else {
        tone(Buzzer, 1000);
        digitalWrite(Pump, LOW);
        digitalWrite(LedRed, HIGH);
        digitalWrite(LedYellow, LOW);
      }
      digitalWrite(LedGreen, LOW);
    } else {
       noTone(Buzzer);
       digitalWrite(Pump, HIGH);
       if (gasStatus >= 500) {
        digitalWrite(LedRed, LOW);
        digitalWrite(LedYellow, HIGH);
        digitalWrite(LedGreen, LOW);
        } else {
          digitalWrite(LedRed, LOW);
          digitalWrite(LedYellow, LOW);
          digitalWrite(LedGreen, HIGH);
      }
    }
    
    delay(100); 
  }

int getGasStatus() {
 int status = analogRead(GasSensor);
  Serial.print("GAS = ");
  Serial.println(status);
  return status;
}

float getHumidity() {
  int hum = analogRead(HumiditySensor);
  Serial.print("HUM = ");
  Serial.println(hum);
  return hum;
}
